diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/options-permalink.php ./wordpress-3.3/wp-admin/options-permalink.php
*** ./wordpress-3.2.1/wp-admin/options-permalink.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/options-permalink.php	2011-12-01 22:31:01.000000000 -0600
***************
*** 15,27 ****
  $title = __('Permalink Settings');
  $parent_file = 'options-general.php';
  
! add_contextual_help($current_screen,
! 	'<p>' . __('This screen provides some common options for your default permalinks URL structure.') . '</p>' .
! 	'<p>' . __('If you pick an option other than Default, your general URL path with structure tags, terms surrounded by <code>%</code>, will also appear in the custom structure field and your path can be further modified there.') . '</p>' .
! 	'<p>' . __('When you assign multiple categories or tags to a post, only one can show up in the permalink: the lowest numbered category. This applies if your custom structure includes <code>%category%</code> or <code>%tag%</code>.') . '</p>' .
! 	'<p>' . __('Note that permalinks beginning with the category, tag, author or postname structure tags require more advanced server resources. Double-check your hosting details to make sure those are in place or start your permalinks with other structure tags.') . '</p>' .
! 	'<p>' . __('The Optional fields let you customize the &#8220;category&#8221; and &#8220;tag&#8221; base names that will appear in archive URLs. For example, the page listing all posts in the &#8220;Uncategorized&#8221; category could be <code>/topics/uncategorized</code> instead of <code>/category/uncategorized</code>.') . '</p>' .
! 	'<p>' . __('You must click the Save Changes button at the bottom of the screen for new settings to take effect.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Settings_Permalinks_Screen" target="_blank">Documentation on Permalinks Settings</a>') . '</p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Using_Permalinks" target="_blank">Documentation on Using Permalinks</a>') . '</p>' .
--- 15,45 ----
  $title = __('Permalink Settings');
  $parent_file = 'options-general.php';
  
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __('Overview'),
! 	'content' => '<p>' . __('Permalinks are the permanent URLs to your individual pages and blog posts, as well as your category and tag archives. A permalink is the web address used to link to your content. The URL to each post should be permanent, and never change &#8212; hence the name permalink.') . '</p>' .
! 		'<p>' . __('This screen allows you to choose your default permalink structure. You can choose from common settings or create custom URL structures.') . '</p>' .
! 		'<p>' . __('You must click the Save Changes button at the bottom of the screen for new settings to take effect.') . '</p>',
! ) );
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'common-settings',
! 	'title'   => __('Common Settings'),
! 	'content' => '<p>' . __('Many people choose to use &#8220;pretty permalinks,&#8221; URLs that contain useful information such as the post title rather than generic post ID numbers. You can choose from any of the permalink formats under Common Settings, or can craft your own if you select Custom Structure.') . '</p>' .
! 		'<p>' . __('If you pick an option other than Default, your general URL path with structure tags, terms surrounded by <code>%</code>, will also appear in the custom structure field and your path can be further modified there.') . '</p>' .
! 		'<p>' . __('When you assign multiple categories or tags to a post, only one can show up in the permalink: the lowest numbered category. This applies if your custom structure includes <code>%category%</code> or <code>%tag%</code>.') . '</p>' .
! 		'<p>' . __('You must click the Save Changes button at the bottom of the screen for new settings to take effect.') . '</p>',
! ) );
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'custom-structures',
! 	'title'   => __('Custom Structures'),
! 	'content' => '<p>' . __('The Optional fields let you customize the &#8220;category&#8221; and &#8220;tag&#8221; base names that will appear in archive URLs. For example, the page listing all posts in the &#8220;Uncategorized&#8221; category could be <code>/topics/uncategorized</code> instead of <code>/category/uncategorized</code>.') . '</p>' .
! 		'<p>' . __('You must click the Save Changes button at the bottom of the screen for new settings to take effect.') . '</p>',
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Settings_Permalinks_Screen" target="_blank">Documentation on Permalinks Settings</a>') . '</p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Using_Permalinks" target="_blank">Documentation on Using Permalinks</a>') . '</p>' .
***************
*** 165,177 ****
  }
  
  $structures = array(
! 	'',
! 	$prefix . '/%year%/%monthnum%/%day%/%postname%/',
! 	$prefix . '/%year%/%monthnum%/%postname%/',
! 	$prefix . '/archives/%post_id%'
! 	);
  ?>
! <h3><?php _e('Common settings'); ?></h3>
  <table class="form-table">
  	<tr>
  		<th><label><input name="selection" type="radio" value="" class="tog" <?php checked('', $permalink_structure); ?> /> <?php _e('Default'); ?></label></th>
--- 183,196 ----
  }
  
  $structures = array(
! 	0 => '',
! 	1 => $prefix . '/%year%/%monthnum%/%day%/%postname%/',
! 	2 => $prefix . '/%year%/%monthnum%/%postname%/',
! 	3 => $prefix . '/' . _x( 'archives', 'sample permalink base' ) . '/%post_id%',
! 	4 => $prefix . '/%postname%/',
! );
  ?>
! <h3><?php _e('Common Settings'); ?></h3>
  <table class="form-table">
  	<tr>
  		<th><label><input name="selection" type="radio" value="" class="tog" <?php checked('', $permalink_structure); ?> /> <?php _e('Default'); ?></label></th>
***************
*** 179,193 ****
  	</tr>
  	<tr>
  		<th><label><input name="selection" type="radio" value="<?php echo esc_attr($structures[1]); ?>" class="tog" <?php checked($structures[1], $permalink_structure); ?> /> <?php _e('Day and name'); ?></label></th>
! 		<td><code><?php echo get_option('home') . $blog_prefix . $prefix . '/' . date('Y') . '/' . date('m') . '/' . date('d') . '/sample-post/'; ?></code></td>
  	</tr>
  	<tr>
  		<th><label><input name="selection" type="radio" value="<?php echo esc_attr($structures[2]); ?>" class="tog" <?php checked($structures[2], $permalink_structure); ?> /> <?php _e('Month and name'); ?></label></th>
! 		<td><code><?php echo get_option('home') . $blog_prefix . $prefix . '/' . date('Y') . '/' . date('m') . '/sample-post/'; ?></code></td>
  	</tr>
  	<tr>
  		<th><label><input name="selection" type="radio" value="<?php echo esc_attr($structures[3]); ?>" class="tog" <?php checked($structures[3], $permalink_structure); ?> /> <?php _e('Numeric'); ?></label></th>
! 		<td><code><?php echo get_option('home') . $blog_prefix . $prefix; ?>/archives/123</code></td>
  	</tr>
  	<tr>
  		<th>
--- 198,216 ----
  	</tr>
  	<tr>
  		<th><label><input name="selection" type="radio" value="<?php echo esc_attr($structures[1]); ?>" class="tog" <?php checked($structures[1], $permalink_structure); ?> /> <?php _e('Day and name'); ?></label></th>
! 		<td><code><?php echo get_option('home') . $blog_prefix . $prefix . '/' . date('Y') . '/' . date('m') . '/' . date('d') . '/' . _x( 'sample-post', 'sample permalink structure' ) . '/'; ?></code></td>
  	</tr>
  	<tr>
  		<th><label><input name="selection" type="radio" value="<?php echo esc_attr($structures[2]); ?>" class="tog" <?php checked($structures[2], $permalink_structure); ?> /> <?php _e('Month and name'); ?></label></th>
! 		<td><code><?php echo get_option('home') . $blog_prefix . $prefix . '/' . date('Y') . '/' . date('m') . '/' . _x( 'sample-post', 'sample permalink structure' ) . '/'; ?></code></td>
  	</tr>
  	<tr>
  		<th><label><input name="selection" type="radio" value="<?php echo esc_attr($structures[3]); ?>" class="tog" <?php checked($structures[3], $permalink_structure); ?> /> <?php _e('Numeric'); ?></label></th>
! 		<td><code><?php echo get_option('home') . $blog_prefix . $prefix . '/' . _x( 'archives', 'sample permalink base' ) . '/123'; ?></code></td>
! 	</tr>
! 	<tr>
! 		<th><label><input name="selection" type="radio" value="<?php echo esc_attr($structures[4]); ?>" class="tog" <?php checked($structures[4], $permalink_structure); ?> /> <?php _e('Post name'); ?></label></th>
! 		<td><code><?php echo get_option('home') . $blog_prefix . $prefix . '/' . _x( 'sample-post', 'sample permalink structure' ) . '/'; ?></code></td>
  	</tr>
  	<tr>
  		<th>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/options.php ./wordpress-3.3/wp-admin/options.php
*** ./wordpress-3.2.1/wp-admin/options.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/options.php	2011-09-30 12:18:35.000000000 -0500
***************
*** 110,116 ****
  	}
  
  	if ( !isset( $whitelist_options[ $option_page ] ) )
! 		wp_die( __( 'Error: options page not found.' ) );
  
  	if ( 'options' == $option_page ) {
  		if ( is_multisite() && ! is_super_admin() )
--- 110,116 ----
  	}
  
  	if ( !isset( $whitelist_options[ $option_page ] ) )
! 		wp_die( __( '<strong>ERROR</strong>: options page not found.' ) );
  
  	if ( 'options' == $option_page ) {
  		if ( is_multisite() && ! is_super_admin() )
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/options-privacy.php ./wordpress-3.3/wp-admin/options-privacy.php
*** ./wordpress-3.2.1/wp-admin/options-privacy.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/options-privacy.php	2011-11-30 18:52:31.000000000 -0600
***************
*** 15,24 ****
  $title = __('Privacy Settings');
  $parent_file = 'options-general.php';
  
! add_contextual_help($current_screen,
! 	'<p>' . __('You can choose whether or not your site will be crawled by robots, ping services, and spiders. If you want those services to ignore your site, click the second option here. Note that your privacy is not complete; your site is still visible on the web.') . '</p>' .
! 	'<p>' . __('When this setting is in effect a reminder is shown in the Right Now box of the Dashboard that says, &#8220;Search Engines Blocked,&#8221; to remind you that your site is not being crawled.') . '</p>' .
! 	'<p>' . __('You must click the Save Changes button at the bottom of the screen for new settings to take effect.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Settings_Privacy_Screen" target="_blank">Documentation on Privacy Settings</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
--- 15,28 ----
  $title = __('Privacy Settings');
  $parent_file = 'options-general.php';
  
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __('Overview'),
! 	'content' => '<p>' . __('You can choose whether or not your site will be crawled by robots, ping services, and spiders. If you want those services to ignore your site, click the radio button next to &#8220;Ask search engines not to index this site&#8221; and click the Save Changes button at the bottom of the screen. Note that your privacy is not complete; your site is still visible on the web.') . '</p>' .
! 		'<p>' . __('When this setting is in effect a reminder is shown in the Right Now box of the Dashboard that says, &#8220;Search Engines Blocked,&#8221; to remind you that your site is not being crawled.') . '</p>',
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Settings_Privacy_Screen" target="_blank">Documentation on Privacy Settings</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
***************
*** 36,47 ****
  
  <table class="form-table">
  <tr valign="top">
! <th scope="row"><?php _e('Site Visibility') ?> </th>
! <td><fieldset><legend class="screen-reader-text"><span><?php _e('Site Visibility') ?> </span></legend>
  <input id="blog-public" type="radio" name="blog_public" value="1" <?php checked('1', get_option('blog_public')); ?> />
! <label for="blog-public"><?php _e('I would like my site to be visible to everyone, including search engines (like Google, Bing, Technorati) and archivers');?></label><br/>
  <input id="blog-norobots" type="radio" name="blog_public" value="0" <?php checked('0', get_option('blog_public')); ?> />
! <label for="blog-norobots"><?php _e('I would like to block search engines, but allow normal visitors'); ?></label>
  <?php do_action('blog_privacy_selector'); ?>
  </fieldset></td>
  </tr>
--- 40,52 ----
  
  <table class="form-table">
  <tr valign="top">
! <th scope="row"><?php _e( 'Site Visibility' ); ?> </th>
! <td><fieldset><legend class="screen-reader-text"><span><?php _e( 'Site Visibility' ); ?> </span></legend>
  <input id="blog-public" type="radio" name="blog_public" value="1" <?php checked('1', get_option('blog_public')); ?> />
! <label for="blog-public"><?php _e( 'Allow search engines to index this site.' );?></label><br/>
  <input id="blog-norobots" type="radio" name="blog_public" value="0" <?php checked('0', get_option('blog_public')); ?> />
! <label for="blog-norobots"><?php _e( 'Ask search engines not to index this site.' ); ?></label>
! <p class="description"><?php _e( 'Note: Neither of these options blocks access to your site &mdash; it is up to search engines to honor your request.' ); ?></p>
  <?php do_action('blog_privacy_selector'); ?>
  </fieldset></td>
  </tr>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/options-reading.php ./wordpress-3.3/wp-admin/options-reading.php
*** ./wordpress-3.2.1/wp-admin/options-reading.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/options-reading.php	2011-11-30 18:52:31.000000000 -0600
***************
*** 41,51 ****
  }
  add_action('admin_head', 'add_js');
  
! add_contextual_help($current_screen,
! 	'<p>' . __('This screen contains the settings that affect the display of your content.') . '</p>' .
! 	'<p>' . sprintf(__('You can choose what&#8217;s displayed on the front page of your site. It can be posts in reverse chronological order (classic blog), or a fixed/static page. To set a static home page, you first need to create two <a href="%s">Pages</a>. One will become the front page, and the other will be where your posts are displayed.'), 'post-new.php?post_type=page') . '</p>' .
! 	'<p>' . __('You can also control the display of your content in RSS feeds, including the maximum numbers of posts to display, whether to show full text or a summary, and the character set encoding.') . '</p>' .
! 	'<p>' . __('You must click the Save Changes button at the bottom of the screen for new settings to take effect.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Settings_Reading_Screen" target="_blank">Documentation on Reading Settings</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
--- 41,56 ----
  }
  add_action('admin_head', 'add_js');
  
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __('Overview'),
! 	'content' => '<p>' . __('This screen contains the settings that affect the display of your content.') . '</p>' .
! 		'<p>' . sprintf(__('You can choose what&#8217;s displayed on the front page of your site. It can be posts in reverse chronological order (classic blog), or a fixed/static page. To set a static home page, you first need to create two <a href="%s">Pages</a>. One will become the front page, and the other will be where your posts are displayed.'), 'post-new.php?post_type=page') . '</p>' .
! 		'<p>' . __('You can also control the display of your content in RSS feeds, including the maximum numbers of posts to display, whether to show full text or a summary, and the character set encoding.') . '</p>' .
! 		'<p>' . __('You must click the Save Changes button at the bottom of the screen for new settings to take effect.') . '</p>',
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Settings_Reading_Screen" target="_blank">Documentation on Reading Settings</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/options-writing.php ./wordpress-3.3/wp-admin/options-writing.php
*** ./wordpress-3.2.1/wp-admin/options-writing.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/options-writing.php	2011-11-30 18:52:31.000000000 -0600
***************
*** 15,23 ****
  $title = __('Writing Settings');
  $parent_file = 'options-general.php';
  
! add_contextual_help($current_screen,
! 	'<p>' . __('You can submit content in several different ways; this screen holds the settings for all of them. The top section controls the editor within these administration screens, while the rest control external publishing methods. For more information on any of these methods, use the documentation links below.') . '</p>' .
! 	'<p>' . __('You must click the Save Changes button at the bottom of the screen for new settings to take effect.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Settings_Writing_Screen" target="_blank">Documentation on Writing Settings</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
--- 15,59 ----
  $title = __('Writing Settings');
  $parent_file = 'options-general.php';
  
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __('Overview'),
! 	'content' => '<p>' . __('You can submit content in several different ways; this screen holds the settings for all of them. The top section controls the editor within the dashboard, while the rest control external publishing methods. For more information on any of these methods, use the documentation links.') . '</p>' .
! 		'<p>' . __('You must click the Save Changes button at the bottom of the screen for new settings to take effect.') . '</p>',
! ) );
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'options-press',
! 	'title'   => __('Press This'),
! 	'content' => '<p>' . __('Press This is a bookmarklet that makes it easy to blog about something you come across on the web. You can use it to just grab a link, or to post an excerpt. Press This will even allow you to choose from images included on the page and use them in your post. Just drag the Press This link on this screen to your bookmarks bar in your browser, and you&#8217;ll be on your way to easier content creation. Clicking on it while on another website opens a popup window with all these options.') . '</p>',
! ) );
! 
! 
! if ( is_multisite() ) {
! 	$post_email_help = '<p>' . __('Due to security issues, you cannot use Post By Email on Multisite Installs.') . '</p>';
! } else {
! 	$post_email_help = '<p>' . __('Post via email settings allow you to send your WordPress install an email with the content of your post.  You must set up a secret e-mail account with POP3 access to use this, and any mail received at this address will be posted, so it&#8217;s a good idea to keep this address very secret.') . '</p>';
! }
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'options-postemail',
! 	'title'   => __('Post Via Email'),
! 	'content' => $post_email_help,
! ) );
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'options-remote',
! 	'title'   => __('Remote Publishing'),
! 	'content' => '<p>' . __('Remote Publishing allows you to use an external editor (like the iOS or Android app) to write your posts.') . '</p>',
! ) );
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'options-services',
! 	'title'   => __('Update Services'),
! 	'content' => '<p>' . __('If desired, WordPress will automatically alert various services of your new posts.') . '</p>',
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Settings_Writing_Screen" target="_blank">Documentation on Writing Settings</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
***************
*** 89,95 ****
  <p><?php _e('Press This is a bookmarklet: a little app that runs in your browser and lets you grab bits of the web.');?></p>
  <p><?php _e('Use Press This to clip text, images and videos from any web page. Then edit and add more straight from Press This before you save or publish it in a post on your site.'); ?></p>
  <p><?php _e('Drag-and-drop the following link to your bookmarks bar or right click it and add it to your favorites for a posting shortcut.') ?></p>
! <p class="pressthis"><a onclick="return false;" oncontextmenu="if(window.navigator.userAgent.indexOf('WebKit')!=-1)jQuery('.pressthis-code').show().find('textarea').focus().select();return false;" href="<?php echo htmlspecialchars( get_shortcut_link() ); ?>"><span><?php _e('Press This') ?></span></a></p>
  <div class="pressthis-code" style="display:none;">
  	<p class="description"><?php _e('If your bookmarks toolbar is hidden: copy the code below, open your Bookmarks manager, create new bookmark, type Press This into the name field and paste the code into the URL field.') ?></p>
  	<p><textarea rows="5" cols="120" readonly="readonly"><?php echo htmlspecialchars( get_shortcut_link() ); ?></textarea></p>
--- 125,131 ----
  <p><?php _e('Press This is a bookmarklet: a little app that runs in your browser and lets you grab bits of the web.');?></p>
  <p><?php _e('Use Press This to clip text, images and videos from any web page. Then edit and add more straight from Press This before you save or publish it in a post on your site.'); ?></p>
  <p><?php _e('Drag-and-drop the following link to your bookmarks bar or right click it and add it to your favorites for a posting shortcut.') ?></p>
! <p class="pressthis"><a onclick="return false;" oncontextmenu="if(window.navigator.userAgent.indexOf('WebKit')!=-1||window.navigator.userAgent.indexOf('MSIE')!=-1)jQuery('.pressthis-code').show().find('textarea').focus().select();return false;" href="<?php echo htmlspecialchars( get_shortcut_link() ); ?>"><span><?php _e('Press This') ?></span></a></p>
  <div class="pressthis-code" style="display:none;">
  	<p class="description"><?php _e('If your bookmarks toolbar is hidden: copy the code below, open your Bookmarks manager, create new bookmark, type Press This into the name field and paste the code into the URL field.') ?></p>
  	<p><textarea rows="5" cols="120" readonly="readonly"><?php echo htmlspecialchars( get_shortcut_link() ); ?></textarea></p>
***************
*** 154,160 ****
  <?php if ( apply_filters( 'enable_update_services_configuration', true ) ) { ?>
  <h3><?php _e('Update Services') ?></h3>
  
! <?php if ( get_option('blog_public') ) : ?>
  
  <p><label for="ping_sites"><?php _e('When you publish a new post, WordPress automatically notifies the following site update services. For more about this, see <a href="http://codex.wordpress.org/Update_Services">Update Services</a> on the Codex. Separate multiple service <abbr title="Universal Resource Locator">URL</abbr>s with line breaks.') ?></label></p>
  
--- 190,196 ----
  <?php if ( apply_filters( 'enable_update_services_configuration', true ) ) { ?>
  <h3><?php _e('Update Services') ?></h3>
  
! <?php if ( 1 == get_option('blog_public') ) : ?>
  
  <p><label for="ping_sites"><?php _e('When you publish a new post, WordPress automatically notifies the following site update services. For more about this, see <a href="http://codex.wordpress.org/Update_Services">Update Services</a> on the Codex. Separate multiple service <abbr title="Universal Resource Locator">URL</abbr>s with line breaks.') ?></label></p>
  
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/plugin-editor.php ./wordpress-3.3/wp-admin/plugin-editor.php
*** ./wordpress-3.2.1/wp-admin/plugin-editor.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/plugin-editor.php	2011-11-30 22:51:35.000000000 -0600
***************
*** 22,29 ****
  
  wp_reset_vars(array('action', 'redirect', 'profile', 'error', 'warning', 'a', 'file', 'plugin'));
  
- wp_admin_css( 'theme-editor' );
- 
  $plugins = get_plugins();
  
  if ( empty($plugins) )
--- 22,27 ----
***************
*** 112,123 ****
  		}
  	}
  
! 	add_contextual_help($current_screen,
  		'<p>' . __('You can use the editor to make changes to any of your plugins&#8217; individual PHP files. Be aware that if you make changes, plugins updates will overwrite your customizations.') . '</p>' .
  		'<p>' . __('Choose a plugin to edit from the menu in the upper right and click the Select button. Click once on any file name to load it in the editor, and make your changes. Don&#8217;t forget to save your changes (Update File) when you&#8217;re finished.') . '</p>' .
  		'<p>' . __('The Documentation menu below the editor lists the PHP functions recognized in the plugin file. Clicking Lookup takes you to a web page about that particular function.') . '</p>' .
  		'<p>' . __('If you want to make changes but don&#8217;t want them to be overwritten when the plugin is updated, you may be ready to think about writing your own plugin. For information on how to edit plugins, write your own from scratch, or just better understand their anatomy, check out the links below.') . '</p>' .
! 		( is_network_admin() ? '<p>' . __('Any edits to files from this screen will be reflected on all sites in the network.') . '</p>' : '' ) .
  		'<p><strong>' . __('For more information:') . '</strong></p>' .
  		'<p>' . __('<a href="http://codex.wordpress.org/Plugins_Editor_Screen" target="_blank">Documentation on Editing Plugins</a>') . '</p>' .
  		'<p>' . __('<a href="http://codex.wordpress.org/Writing_a_Plugin" target="_blank">Documentation on Writing Plugins</a>') . '</p>' .
--- 110,127 ----
  		}
  	}
  
! 	get_current_screen()->add_help_tab( array(
! 	'id'		=> 'overview',
! 	'title'		=> __('Overview'),
! 	'content'	=>
  		'<p>' . __('You can use the editor to make changes to any of your plugins&#8217; individual PHP files. Be aware that if you make changes, plugins updates will overwrite your customizations.') . '</p>' .
  		'<p>' . __('Choose a plugin to edit from the menu in the upper right and click the Select button. Click once on any file name to load it in the editor, and make your changes. Don&#8217;t forget to save your changes (Update File) when you&#8217;re finished.') . '</p>' .
  		'<p>' . __('The Documentation menu below the editor lists the PHP functions recognized in the plugin file. Clicking Lookup takes you to a web page about that particular function.') . '</p>' .
  		'<p>' . __('If you want to make changes but don&#8217;t want them to be overwritten when the plugin is updated, you may be ready to think about writing your own plugin. For information on how to edit plugins, write your own from scratch, or just better understand their anatomy, check out the links below.') . '</p>' .
! 		( is_network_admin() ? '<p>' . __('Any edits to files from this screen will be reflected on all sites in the network.') . '</p>' : '' )
! 	) );
! 
! 	get_current_screen()->set_help_sidebar(
  		'<p><strong>' . __('For more information:') . '</strong></p>' .
  		'<p>' . __('<a href="http://codex.wordpress.org/Plugins_Editor_Screen" target="_blank">Documentation on Editing Plugins</a>') . '</p>' .
  		'<p>' . __('<a href="http://codex.wordpress.org/Writing_a_Plugin" target="_blank">Documentation on Writing Plugins</a>') . '</p>' .
